-- Data for Adibags - Ren's Filters: Fishing

-- type has these values and meanings:
--  * base = item used to fish or that gives fishing bonus or consumable bonus, like bait
--  * turn = item is turned into to some NPC (for a quest or as a currency)
--  * reward = item is a reward that benefits fishing somehow, like permanent skill increases
--  * achieve = item is part of an achievement requirement and has no other use

local addonName, addon = ...

-- Table of all fishing items in the game
addon.fishing_items = {
  -- Generic fishing items
  -- Fishing poles
  [6256] = { xpac=99, type="base" }, -- Fishing Pole
  [6365] = { xpac=99, type="base" }, -- Strong Fishing Pole
  [6366] = { xpac=99, type="base" }, -- Darkwood Fishing Pole
  [6367] = { xpac=99, type="base" }, -- Big Iron Fishing Pole
  [12225] = { xpac=99, type="base" }, -- Blump Family Fishing Pole
  [19022] = { xpac=99, type="base" }, -- Nat Pagle's Extreme Angler FC-5000
  [19970] = { xpac=99, type="base" }, -- Arcanite Fishing Pole
  [25978] = { xpac=99, type="base" }, -- Seth's Graphite Fishing Pole
  [44050] = { xpac=99, type="base" }, -- Mastercraft Kalu'ak Fishing Pole
  [45858] = { xpac=99, type="base" }, -- Nat's Lucky Fishing Pole
  [45991] = { xpac=99, type="base" }, -- Bone Fishing Pole
  [45992] = { xpac=99, type="base" }, -- Jeweled Fishing Pole
  [46337] = { xpac=99, type="base" }, -- Staats' Fishing Pole
  [84660] = { xpac=99, type="base" }, -- Pandaren Fishing Pole
  [84661] = { xpac=99, type="base" }, -- Dragon Fishing Pole
  [116825] = { xpac=99, type="base" }, -- Savage Fishing Pole
  [116826] = { xpac=99, type="base" }, -- Draenic Fishing Pole
  [118381] = { xpac=99, type="base" }, -- Ephemeral Fishing Pole
  [120163] = { xpac=99, type="base" }, -- Thruk's Fishing Rod
  [133755] = { xpac=99, type="base" }, -- Underlight Angler
  [168804] = { xpac=99, type="base" }, -- Powered Piscine Procurement Pole
  [173044] = { xpac=99, type="base" }, -- Wreathed Fishing Pole
  [177030] = { xpac=99, type="base" }, -- Aquatic Extractor
  [180136] = { xpac=99, type="base" }, -- The Brokers Angle'r
  -- Bobbers
  [67404] = { xpac=99, type="base" }, -- Glass Fishing Bobber
  [133688] = { xpac=99, type="base" }, -- Tugboat Bobber
  [136373] = { xpac=99, type="base" }, -- Can O' Worms Bobber  
  [136374] = { xpac=99, type="base" }, -- Toy Cat Head Bobber
  [136375] = { xpac=99, type="base" }, -- Squeaky Duck Bobber
  [136376] = { xpac=99, type="base" }, -- Murloc Bobber
  [136377] = { xpac=99, type="base" }, -- Oversized Bobber
  [142528] = { xpac=99, type="base" }, -- Crate of Bobbers: Can of Worms
  [142529] = { xpac=99, type="base" }, -- Crate of Bobbers: Cat Head
  [142530] = { xpac=99, type="base" }, -- Crate of Bobbers: Tugboat
  [142531] = { xpac=99, type="base" }, -- Crate of Bobbers: Squeaky Duck
  [142532] = { xpac=99, type="base" }, -- Crate of Bobbers: Murloc Head
  [143662] = { xpac=99, type="base" }, -- Crate of Bobbers: Wooden Pepe
  [147307] = { xpac=99, type="base" }, -- Crate of Bobbers: Carved Wooden Helm
  [147308] = { xpac=99, type="base" }, -- Crate of Bobbers: Enchanted Bobber
  [147309] = { xpac=99, type="base" }, -- Crate of Bobbers: Face of the Forest
  [147310] = { xpac=99, type="base" }, -- Crate of Bobbers: Floating Totem
  [147311] = { xpac=99, type="base" }, -- Crate of Bobbers: Replica Gondola
  [147312] = { xpac=99, type="base" }, -- Crate of Bobbers: Demon Noggin
  [180993] = { xpac=99, type="base" }, -- Bat Visage Bobber
  [180168] = { xpac=99, type="base" }, -- Oribobber
  -- Lures
  [6529] = { xpac=99, type="base" }, -- Shiny Bauble
  [6530] = { xpac=99, type="base" }, -- Nightcrawlers
  [6532] = { xpac=99, type="base" }, -- Bright Baubles
  [6533] = { xpac=99, type="base" }, -- Aquadynamic Fish Attractor
  [6811] = { xpac=99, type="base" }, -- Aquadynamic Fish Lens
  [7307] = { xpac=99, type="base" }, -- Flesh Eating Worm
  [34861] = { xpac=99, type="base" }, -- Sharpened Fish Hook
  [46006] = { xpac=99, type="base" }, -- Glow Worm
  [62673] = { xpac=99, type="base" }, -- Feathered Lure
  [67404] = { xpac=99, type="base" }, -- Glass Fishing Bobber
  [68049] = { xpac=99, type="base" }, -- Heat-Treated Spinning Lure
  [118391] = { xpac=99, type="base" }, -- Worm Supreme
  [124674] = { xpac=99, type="base" }, -- Day-Old Darkmoon Doughnut  
  [177036] = { xpac=99, type="base" }, -- Aquatic Enticer
  -- Boots
  [19969] = { xpac=99, type="base" }, -- Nat Pagle's Extreme Anglin' Boots
  [50287] = { xpac=99, type="base" }, -- Boots of the Bay
  [155459] = { xpac=99, type="base" }, -- Anglin' Art's Sandals
  [155468] = { xpac=99, type="base" }, -- Anglin' Art's Treads
  [155476] = { xpac=99, type="base" }, -- Anglin' Art's Waders
  [155484] = { xpac=99, type="base" }, -- Anglin' Art's Stompers
  -- Hats
  [19972] = { xpac=99, type="base" }, -- Lucky Fishing Hat
  [33820] = { xpac=99, type="base" }, -- Weather-Beaten Fishing Hat
  [88710] = { xpac=99, type="base" }, -- Nat's Hat
  [93732] = { xpac=99, type="base" }, -- Darkmoon Fishing Cap
  [117405] = { xpac=99, type="base" }, -- Nat's Drinking Hat
  [118380] = { xpac=99, type="base" }, -- Hightfish Cap
  [118393] = { xpac=99, type="base" }, -- Tentacled Hat
  -- Lines
  [19971] = { xpac=99, type="reward" }, -- High Test Eternium Fishing Line
  [34836] = { xpac=99, type="reward" }, -- Spun Truesilver Fishing Line
  [68796] = { xpac=99, type="reward" }, -- Reinforced Fishing Line
  [116117] = { xpac=99, type="reward" }, -- Rook's Lucky Fishin' Line
  [153203] = { xpac=99, type="reward" }, -- Ancient Fishing Line
  -- Misc fishing items
  [13620] = { xpac=99, type="reward" }, -- Fishing Glove Enchant
  [34109] = { xpac=99, type="reward" }, -- Weather-Beaten Journal
  [34832] = { xpac=99, type="base" }, -- Captain Rumsey's Lager
  [35348] = { xpac=99, type="reward" }, -- Bag of Fishing Treasures
  [67414] = { xpac=99, type="reward" }, -- Bag of Shiny Things
  [71692] = { xpac=99, type="reward" }, -- Angler Glove Enchant
  [88535] = { xpac=99, type="base" }, -- Sharpened Tuskarr Spear
  [110508] = { xpac=99, type="base" }, -- "Fragrant" Pheromone Fish
  [152556] = { xpac=99, type="base" }, -- Trawler Totem
  -- Achievement fish
  [34484] = { xpac=99, type="achieve"}, -- Old Ironjaw
  [34486] = { xpac=99, type="achieve"}, -- Old Crafty
  -- MoP fishing items
  [85973] = { xpac=5, type="base" }, -- Ancient Pandaren Fishing Charm
  [88563] = { xpac=5, type="reward" }, -- Nat's Fishing Journal
  -- WoD Nat Pagle
  [86542] = { xpac=5, type="turn" }, -- Flying Tiger Gourami
  [86545] = { xpac=5, type="turn" }, -- Mimic Octopus
  [86544] = { xpac=5, type="turn" }, -- Spinefish Alpha
  [117397] = { xpac=5, type="turn" }, -- Nat's Lucky Coin
  -- WoD fishing items
  [111356] = { xpac=6, type="reward" }, -- Fishing Guide to Draenor
  [117401] = { xpac=6, type="reward" }, -- Nat's Draenic Fishing Journal
  [122742] = { xpac=6, type="base" }, -- Bladebone Hook
  -- WoD bait
  [110274] = { xpac=6, type="base" }, -- Jawless Skulker Bait
  [110289] = { xpac=6, type="base" }, -- Fat Sleeper Bait
  [110290] = { xpac=6, type="base" }, -- Blind Lake Sturgeon Bait
  [110291] = { xpac=6, type="base" }, -- Fire Ammonite Bait
  [110292] = { xpac=6, type="base" }, -- Sea Scorpion Bait
  [110293] = { xpac=6, type="base" }, -- Abyssal Gulper Eel Bait
  [110294] = { xpac=6, type="base" }, -- Blackwater Whiptail Bait
  [122742] = { xpac=6, type="base" }, -- Bladebone Hook
  [128229] = { xpac=6, type="base" }, -- Felmouth Frenzy Bait
  -- WoD lunkers
  [116817] = { xpac=6, type="turn" }, -- Blackwater Whiptail Lunker
  [116818] = { xpac=6, type="turn" }, -- Abyssal Gulper Lunker
  [116819] = { xpac=6, type="turn" }, -- Fire Ammonite Lunker
  [116820] = { xpac=6, type="turn" }, -- Blind Lake Lunker
  [116821] = { xpac=6, type="turn" }, -- Fat Sleeper Lunker
  [116822] = { xpac=6, type="turn" }, -- Jawless Skulker Lunker
  [122696] = { xpac=6, type="turn" }, -- Sea Scorpion Lunker
  [127994] = { xpac=6, type="turn" }, -- Felmouth Frenzy Lunker
  -- WoD summons (what type should they be?)
  [112633] = { xpac=6, type="base" }, -- Frostdeep Minnow
  [116158] = { xpac=6, type="base" }, -- Lunarfall Carp
  -- Legion fishing items
  [133887] = { xpac=7, type="turn" }, -- Luminous Pearl
  [138114] = { xpac=7, type="turn" }, -- Gloaming Frenzy
  [138777] = { xpac=7, type="turn" }, -- Drowned Mana
  -- Legion bait
  [133701] = { xpac=7, type="base" }, -- Skrog Toenail
  [133702] = { xpac=7, type="base" }, -- Aromatic Murloc Slime
  [133703] = { xpac=7, type="base" }, -- Pearlescent Conch
  [133704] = { xpac=7, type="base" }, -- Rusty Queenfish Brooch
  [133705] = { xpac=7, type="base" }, -- Rotten Fishbone
  [133707] = { xpac=7, type="base" }, -- Nightmare Nightcrawler
  [133708] = { xpac=7, type="base" }, -- Drowned Thistleleaf
  [133709] = { xpac=7, type="base" }, -- Funky Sea Snail
  [133710] = { xpac=7, type="base" }, -- Salmon Lure
  [133711] = { xpac=7, type="base" }, -- Swollen Murloc Egg
  [133712] = { xpac=7, type="base" }, -- Frost Worm
  [133713] = { xpac=7, type="base" }, -- Moosehorn Hook
  [133714] = { xpac=7, type="base" }, -- Silverscale Minnow
  [133715] = { xpac=7, type="base" }, -- Ancient Vrykul Ring
  [133716] = { xpac=7, type="base" }, -- Soggy Drakescale
  [133717] = { xpac=7, type="base" }, -- Enchanted Lure
  [133719] = { xpac=7, type="base" }, -- Sleeping Murloc
  [133720] = { xpac=7, type="base" }, -- Demonic Detritus
  [133721] = { xpac=7, type="base" }, -- Message in a Beer Bottle
  [133722] = { xpac=7, type="base" }, -- Axefish Lure
  [133723] = { xpac=7, type="base" }, -- Stunned, Angry Shark
  [133724] = { xpac=7, type="base" }, -- Decayed Whale Blubber
  [133795] = { xpac=7, type="base" }, -- Ravenous Fly
  [139175] = { xpac=7, type="base" }, -- Arcane Lure
  -- Legion Dalaran fountain bait
  [138956] = { xpac=7, type="base" }, -- Hypermagnetic Lure
  [138957] = { xpac=7, type="base" }, -- Auriphagic Sardine
  [138958] = { xpac=7, type="base" }, -- Glob of Really Sticky Glue
  [138959] = { xpac=7, type="base" }, -- Micro-Vortex Generator
  [138960] = { xpac=7, type="base" }, -- Wish Crystal
  [138961] = { xpac=7, type="base" }, -- Alchemical Bonding Agent
  [138962] = { xpac=7, type="base" }, -- Starfish on a String
  [138963] = { xpac=7, type="base" }, -- Tiny Little Grabbing Apparatus
  -- Legion skill bonus fish
  [133725] = { xpac=7, type="reward" }, -- Leyshimmer Blenny
  [133726] = { xpac=7, type="reward" }, -- Nar'thalas Hermit
  [133727] = { xpac=7, type="reward" }, -- Ghostly Queenfish
  [133728] = { xpac=7, type="reward" }, -- Terrorfin
  [133729] = { xpac=7, type="reward" }, -- Thorned Flounder
  [133730] = { xpac=7, type="reward" }, -- Ancient Mossgill
  [133731] = { xpac=7, type="reward" }, -- Mountain Puffer
  [133732] = { xpac=7, type="reward" }, -- Coldriver Carp
  [133733] = { xpac=7, type="reward" }, -- Ancient Highmountain Salmon
  [133734] = { xpac=7, type="reward" }, -- Oodelfjisk
  [133735] = { xpac=7, type="reward" }, -- Graybelly Lobster
  [133736] = { xpac=7, type="reward" }, -- Thundering Stormray
  [133737] = { xpac=7, type="reward" }, -- Magic-Eater Frog
  [133738] = { xpac=7, type="reward" }, -- Seerspine Puffer
  [133739] = { xpac=7, type="reward" }, -- Tainted Runescale Koi
  [133740] = { xpac=7, type="reward" }, -- Axefish
  [133741] = { xpac=7, type="reward" }, -- Seabottom Squid
  [133742] = { xpac=7, type="reward" }, -- Ancient Black Barracuda
  -- Legion artifact bonus fish
  [139652] = { xpac=7, type="reward" }, -- Leyshimmer Blenny
  [139653] = { xpac=7, type="reward" }, -- Nar'thalas Hermit
  [139654] = { xpac=7, type="reward" }, -- Ghostly Queenfish
  [139655] = { xpac=7, type="reward" }, -- Terrorfin
  [139656] = { xpac=7, type="reward" }, -- Thorned Flounder
  [139657] = { xpac=7, type="reward" }, -- Ancient Mossgill
  [139658] = { xpac=7, type="reward" }, -- Mountain Puffer
  [139659] = { xpac=7, type="reward" }, -- Coldriver Carp
  [139660] = { xpac=7, type="reward" }, -- Ancient Highmountain Salmon
  [139661] = { xpac=7, type="reward" }, -- Oodelfjisk
  [139662] = { xpac=7, type="reward" }, -- Graybelly Lobster
  [139663] = { xpac=7, type="reward" }, -- Thundering Stormray
  [139664] = { xpac=7, type="reward" }, -- Magic-Eater Frog
  [139665] = { xpac=7, type="reward" }, -- Seerspine Puffer
  [139666] = { xpac=7, type="reward" }, -- Tainted Runescale Koi
  [139667] = { xpac=7, type="reward" }, -- Axefish
  [139668] = { xpac=7, type="reward" }, -- Seabottom Squid
  [139669] = { xpac=7, type="reward" }, -- Ancient Black Barracuda
  -- Fishing Master items
  [146848] = { xpac=7, type="turn" }, -- Fragmented Enchantment
  [146959] = { xpac=7, type="turn" }, -- Corrupted Globule
  [146960] = { xpac=7, type="turn" }, -- Ancient Totem Fragment
  [146961] = { xpac=7, type="turn" }, -- Shiny Bauble
  [146962] = { xpac=7, type="turn" }, -- Golden Minnow
  [146963] = { xpac=7, type="turn" }, -- Desecrated Seaweed
  [152583] = { xpac=7, type="turn" }, -- Underlight Emerald
  --BfA items
  [167698] = { xpac=8, type="base"}, -- Secret Fish Goggles
  [165699] = { xpac=8, type="base"}, -- Scarlet Herring Lure
  --BfA Quest Fish
  [167600] = { xpac=8, type="turn"}, -- Sludge-fouled Carp
  [167654] = { xpac=8, type="turn"}, -- Bottom Feeding Stinkfish
  [167655] = { xpac=8, type="turn"}, -- Bolted Steelhead
  [167656] = { xpac=8, type="turn"}, -- Pond Hopping Springfish
  [167657] = { xpac=8, type="turn"}, -- Shadowy Cave Eel
  [167658] = { xpac=8, type="turn"}, -- Mechanical Blowfish
  [167659] = { xpac=8, type="turn"}, -- Spitting Clownfish
  [167661] = { xpac=8, type="turn"}, -- Energized Lightning Cod
  [167662] = { xpac=8, type="turn"}, -- Solarsprocket Barbel
  [167663] = { xpac=8, type="turn"}, -- Tasty Steelfin
  -- Baiting the Enemy fish (achievement only)
  [162516] = { xpac=8, type="achieve"}, -- Rasboralus
  [162517] = { xpac=8, type="achieve"}, -- U'taka
  -- Secret Fish (achievement only)
  [167705] = { xpac=8, type="achieve"}, -- Mechanized Mackerel
  [167706] = { xpac=8, type="achieve"}, -- Jade Story Fish
  [167707] = { xpac=8, type="achieve"}, -- Kirin Tor Clown
  [167708] = { xpac=8, type="achieve"}, -- Ancient Mana Fin
  [167709] = { xpac=8, type="achieve"}, -- Drowned Goldfish
  [167710] = { xpac=8, type="achieve"}, -- Barbed Fjord Fin
  [167711] = { xpac=8, type="achieve"}, -- Dead Fel Bone
  [167712] = { xpac=8, type="achieve"}, -- Rotted Blood Cod
  [167713] = { xpac=8, type="achieve"}, -- Veiled Ghost
  [167714] = { xpac=8, type="achieve"}, -- Travelling Goby
  [167715] = { xpac=8, type="achieve"}, -- Elusive Moonfish
  [167716] = { xpac=8, type="achieve"}, -- Unseen Mimmic
  [167717] = { xpac=8, type="achieve"}, -- Camouflaged Snark
  [167718] = { xpac=8, type="achieve"}, -- Collectable Saltfin
  [167719] = { xpac=8, type="achieve"}, -- Golden Sunsoaker
  [167720] = { xpac=8, type="achieve"}, -- Very Tiny Whale
  [167721] = { xpac=8, type="achieve"}, -- Invisible Smelt
  [167722] = { xpac=8, type="achieve"}, -- Prisoner Fish
  [167723] = { xpac=8, type="achieve"}, -- Thunderous Flounder
  [167724] = { xpac=8, type="achieve"}, -- Tortollan Tank Dweller
  [167725] = { xpac=8, type="achieve"}, -- Spiritual Salmon
  [167726] = { xpac=8, type="achieve"}, -- Quiet Floater
  [167727] = { xpac=8, type="achieve"}, -- Deadeye Wally
  [167728] = { xpac=8, type="achieve"}, -- Queen's Delight
  [167729] = { xpac=8, type="achieve"}, -- Deceptive Maw
  [167730] = { xpac=8, type="achieve"}, -- Inconspicuous Catfish
  [169870] = { xpac=8, type="achieve"}, -- Displaced Scrapfin
  [169884] = { xpac=8, type="achieve"}, -- Green Roughy
  [169897] = { xpac=8, type="achieve"}, -- Thin Air Flounder
  [169898] = { xpac=8, type="achieve"}, -- Well Lurker  
  -- Shadowlands reward
  [180740] = { xpac=9, type="reward" }, -- Fisherman's Journal
  -- Shadowlands bait
  [173038] = { xpac=9, type="base" }, -- Lost Sole Bait
  [173043] = { xpac=9, type="base" }, -- Elysian Thade Bait
  [173040] = { xpac=9, type="base" }, -- Silvergill Pike Bait
  [173041] = { xpac=9, type="base" }, -- Pocked Bonefish Bait
  [173039] = { xpac=9, type="base" }, -- Iridescent Amberjack Bait
  [173042] = { xpac=9, type="base" }, -- Spinefin Piranha Bait
}
